import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, NgModule } from '@angular/core';
import * as i1 from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import * as i3 from '@ngx-formly/core';
import { FieldType, FormlyModule } from '@ngx-formly/core';
import * as i2 from '@haiilo/catalyst-angular';
import { CatalystModule } from '@haiilo/catalyst-angular';

class CatCheckboxFieldType extends FieldType {
}
CatCheckboxFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatCheckboxFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatCheckboxFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatCheckboxFieldType, selector: "formly-checkbox", usesInheritance: true, ngImport: i0, template: `
    <cat-checkbox
      [formControl]="formControl"
      [formlyAttributes]="field"
      [checked]="props.checked"
      [identifier]="props.identifier"
      [indeterminate]="props.indeterminate"
      [label]="props.label"
      [name]="props.name"
      [hint]="props.hint"
      [labelLeft]="props.labelLeft"
      [nativeAttributes]="props.nativeAttributes"
      [requiredMarker]="props.requiredMarker"
    >
    </cat-checkbox>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatCheckbox, selector: "cat-checkbox", inputs: ["alignment", "checked", "disabled", "hint", "identifier", "indeterminate", "label", "labelHidden", "labelLeft", "name", "nativeAttributes", "noValue", "required", "requiredMarker", "resolvedValue", "testId", "value"] }, { kind: "directive", type: i2.BooleanValueAccessor, selector: "cat-checkbox, cat-toggle" }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatCheckboxFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-checkbox',
                    template: `
    <cat-checkbox
      [formControl]="formControl"
      [formlyAttributes]="field"
      [checked]="props.checked"
      [identifier]="props.identifier"
      [indeterminate]="props.indeterminate"
      [label]="props.label"
      [name]="props.name"
      [hint]="props.hint"
      [labelLeft]="props.labelLeft"
      [nativeAttributes]="props.nativeAttributes"
      [requiredMarker]="props.requiredMarker"
    >
    </cat-checkbox>
  `
                }]
        }] });

class CatDateFieldType extends FieldType {
}
CatDateFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatDateFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatDateFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatDateFieldType, selector: "formly-date", usesInheritance: true, ngImport: i0, template: `
    <cat-date
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [autoComplete]="props.autoComplete"
      [clearable]="props.clearable"
      [hint]="props.hint"
      [icon]="props.icon"
      [iconRight]="props.iconRight"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [max]="props.max"
      [min]="props.min"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [textPrefix]="props.textPrefix"
      [textSuffix]="props.textSuffix"
      [readonly]="props.readonly"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-date>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatDate, selector: "cat-date", inputs: ["autoComplete", "clearable", "disabled", "errorUpdate", "errors", "hint", "horizontal", "icon", "iconRight", "identifier", "label", "labelHidden", "max", "min", "name", "nativeAttributes", "placeholder", "placement", "readonly", "required", "requiredMarker", "testId", "textPrefix", "textSuffix", "value"] }, { kind: "directive", type: i2.DateValueAccessor, selector: "cat-date, cat-date-inline" }, { kind: "directive", type: i2.ValueAccessorDecorator, selector: "cat-input, cat-textarea, cat-datepicker, cat-select, cat-date, cat-time, cat-tag", inputs: ["errorInit"] }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatDateFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-date',
                    template: `
    <cat-date
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [autoComplete]="props.autoComplete"
      [clearable]="props.clearable"
      [hint]="props.hint"
      [icon]="props.icon"
      [iconRight]="props.iconRight"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [max]="props.max"
      [min]="props.min"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [textPrefix]="props.textPrefix"
      [textSuffix]="props.textSuffix"
      [readonly]="props.readonly"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-date>
  `
                }]
        }] });

class CatDatepickerFieldType extends FieldType {
}
CatDatepickerFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatDatepickerFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatDatepickerFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatDatepickerFieldType, selector: "formly-datepicker", usesInheritance: true, ngImport: i0, template: `
    <cat-datepicker
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [autoComplete]="props.autoComplete"
      [clearable]="props.clearable"
      [hint]="props.hint"
      [icon]="props.icon"
      [iconRight]="props.iconRight"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [max]="props.max"
      [min]="props.min"
      [mode]="props.mode"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [textPrefix]="props.textPrefix"
      [textSuffix]="props.textSuffix"
      [readonly]="props.readonly"
      [step]="props.step"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-datepicker>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatDatepicker, selector: "cat-datepicker", inputs: ["attachToElement", "autoComplete", "clearable", "disabled", "errorUpdate", "errors", "hint", "horizontal", "icon", "iconRight", "identifier", "label", "labelHidden", "max", "min", "mode", "name", "nativeAttributes", "nativePickerAttributes", "placeholder", "position", "readonly", "required", "requiredMarker", "step", "textPrefix", "textSuffix", "value"] }, { kind: "directive", type: i2.TextValueAccessor, selector: "cat-input, cat-textarea, cat-datepicker, cat-datepicker-inline" }, { kind: "directive", type: i2.ValueAccessorDecorator, selector: "cat-input, cat-textarea, cat-datepicker, cat-select, cat-date, cat-time, cat-tag", inputs: ["errorInit"] }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatDatepickerFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-datepicker',
                    template: `
    <cat-datepicker
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [autoComplete]="props.autoComplete"
      [clearable]="props.clearable"
      [hint]="props.hint"
      [icon]="props.icon"
      [iconRight]="props.iconRight"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [max]="props.max"
      [min]="props.min"
      [mode]="props.mode"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [textPrefix]="props.textPrefix"
      [textSuffix]="props.textSuffix"
      [readonly]="props.readonly"
      [step]="props.step"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-datepicker>
  `
                }]
        }] });

class CatInputFieldType extends FieldType {
}
CatInputFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatInputFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatInputFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatInputFieldType, selector: "formly-input", usesInheritance: true, ngImport: i0, template: `
    <cat-input
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [autoComplete]="props.autoComplete"
      [clearable]="props.clearable"
      [icon]="props.icon"
      [iconRight]="props.iconRight"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [max]="props.max"
      [maxLength]="props.maxLength"
      [min]="props.min"
      [minLength]="props.minLength"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [textPrefix]="props.textPrefix"
      [textSuffix]="props.textSuffix"
      [readonly]="props.readonly"
      [round]="props.round"
      [type]="props.type"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [hint]="props.hint"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-input>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatInput, selector: "cat-input", inputs: ["autoComplete", "clearable", "dateMaskOptions", "disabled", "errorUpdate", "errors", "hint", "horizontal", "icon", "iconRight", "identifier", "label", "labelHidden", "loading", "max", "maxLength", "min", "minLength", "name", "nativeAttributes", "placeholder", "readonly", "required", "requiredMarker", "round", "testId", "textPrefix", "textSuffix", "timeMaskOptions", "togglePassword", "type", "value"] }, { kind: "directive", type: i2.TextValueAccessor, selector: "cat-input, cat-textarea, cat-datepicker, cat-datepicker-inline" }, { kind: "directive", type: i2.ValueAccessorDecorator, selector: "cat-input, cat-textarea, cat-datepicker, cat-select, cat-date, cat-time, cat-tag", inputs: ["errorInit"] }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatInputFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-input',
                    template: `
    <cat-input
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [autoComplete]="props.autoComplete"
      [clearable]="props.clearable"
      [icon]="props.icon"
      [iconRight]="props.iconRight"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [max]="props.max"
      [maxLength]="props.maxLength"
      [min]="props.min"
      [minLength]="props.minLength"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [textPrefix]="props.textPrefix"
      [textSuffix]="props.textSuffix"
      [readonly]="props.readonly"
      [round]="props.round"
      [type]="props.type"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [hint]="props.hint"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-input>
  `
                }]
        }] });

class CatRadioGroupFieldType extends FieldType {
}
CatRadioGroupFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatRadioGroupFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatRadioGroupFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatRadioGroupFieldType, selector: "formly-radio-group", usesInheritance: true, ngImport: i0, template: `
    <cat-radio-group
      [formControl]="formControl"
      [formlyAttributes]="field"
      [name]="props.name"
      [a11yLabel]="props.a11yLabel"
      [labelLeft]="props.labelLeft"
    >
      <cat-radio
        *ngFor="let option of props.options"
        [checked]="option.checked"
        [disabled]="option.disabled"
        [identifier]="option.identifier"
        [label]="option.label"
        [labelHidden]="option.labelHidden"
        [name]="option.name"
        [required]="option.required"
        [value]="option.value"
        [hint]="option.hint"
        [labelLeft]="option.labelLeft"
        [nativeAttributes]="option.nativeAttributes"
      >
      </cat-radio>
    </cat-radio-group>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatRadio, selector: "cat-radio", inputs: ["alignment", "checked", "disabled", "hint", "identifier", "label", "labelHidden", "labelLeft", "name", "nativeAttributes", "required", "testId", "value"] }, { kind: "component", type: i2.CatRadioGroup, selector: "cat-radio-group", inputs: ["a11yLabel", "disabled", "labelLeft", "name", "value"] }, { kind: "directive", type: i2.RadioValueAccessor, selector: "cat-radio, cat-radio-group" }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatRadioGroupFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-radio-group',
                    template: `
    <cat-radio-group
      [formControl]="formControl"
      [formlyAttributes]="field"
      [name]="props.name"
      [a11yLabel]="props.a11yLabel"
      [labelLeft]="props.labelLeft"
    >
      <cat-radio
        *ngFor="let option of props.options"
        [checked]="option.checked"
        [disabled]="option.disabled"
        [identifier]="option.identifier"
        [label]="option.label"
        [labelHidden]="option.labelHidden"
        [name]="option.name"
        [required]="option.required"
        [value]="option.value"
        [hint]="option.hint"
        [labelLeft]="option.labelLeft"
        [nativeAttributes]="option.nativeAttributes"
      >
      </cat-radio>
    </cat-radio-group>
  `
                }]
        }] });

class CatRadioFieldType extends FieldType {
}
CatRadioFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatRadioFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatRadioFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatRadioFieldType, selector: "formly-radio", usesInheritance: true, ngImport: i0, template: `
    <cat-radio
      [formControl]="formControl"
      [formlyAttributes]="field"
      [checked]="props.checked"
      [identifier]="props.identifier"
      [label]="props.label"
      [name]="props.name"
      [hint]="props.hint"
      [labelLeft]="props.labelLeft"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-radio>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatRadio, selector: "cat-radio", inputs: ["alignment", "checked", "disabled", "hint", "identifier", "label", "labelHidden", "labelLeft", "name", "nativeAttributes", "required", "testId", "value"] }, { kind: "directive", type: i2.RadioValueAccessor, selector: "cat-radio, cat-radio-group" }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatRadioFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-radio',
                    template: `
    <cat-radio
      [formControl]="formControl"
      [formlyAttributes]="field"
      [checked]="props.checked"
      [identifier]="props.identifier"
      [label]="props.label"
      [name]="props.name"
      [hint]="props.hint"
      [labelLeft]="props.labelLeft"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-radio>
  `
                }]
        }] });

class CatSelectFieldType extends FieldType {
}
CatSelectFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatSelectFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatSelectFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatSelectFieldType, selector: "formly-select", usesInheritance: true, ngImport: i0, template: `
    <cat-select
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [multiple]="props.multiple"
      [debounce]="props.debounce"
      [placement]="props.placement"
      [placeholder]="props.placeholder"
      [hint]="props.hint"
      [identifier]="props.identifier"
      [label]="props.label"
      [name]="props.name"
      [labelHidden]="props.labelHidden"
      [clearable]="props.clearable"
      [tags]="props.tags"
      [tagHint]="props.tagHint"
      [noItems]="props.noItems"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [nativeAttributes]="props.nativeAttributes"
      [connector]="props.connector"
    >
    </cat-select>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatSelect, selector: "cat-select", inputs: ["clearable", "debounce", "disabled", "errorUpdate", "errors", "hint", "horizontal", "identifier", "label", "labelHidden", "multiple", "name", "nativeAttributes", "noItems", "placeholder", "placement", "required", "requiredMarker", "tagHint", "tags", "testId", "value"] }, { kind: "directive", type: i2.SelectValueAccessor, selector: "cat-select, cat-tag" }, { kind: "directive", type: i2.SelectValueAccessorDecorator, selector: "cat-select", inputs: ["connector"] }, { kind: "directive", type: i2.ValueAccessorDecorator, selector: "cat-input, cat-textarea, cat-datepicker, cat-select, cat-date, cat-time, cat-tag", inputs: ["errorInit"] }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatSelectFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-select',
                    template: `
    <cat-select
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [multiple]="props.multiple"
      [debounce]="props.debounce"
      [placement]="props.placement"
      [placeholder]="props.placeholder"
      [hint]="props.hint"
      [identifier]="props.identifier"
      [label]="props.label"
      [name]="props.name"
      [labelHidden]="props.labelHidden"
      [clearable]="props.clearable"
      [tags]="props.tags"
      [tagHint]="props.tagHint"
      [noItems]="props.noItems"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [nativeAttributes]="props.nativeAttributes"
      [connector]="props.connector"
    >
    </cat-select>
  `
                }]
        }] });

class CatTextareaFieldType extends FieldType {
}
CatTextareaFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatTextareaFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatTextareaFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatTextareaFieldType, selector: "formly-textarea", usesInheritance: true, ngImport: i0, template: `
    <cat-textarea
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [maxLength]="props.maxLength"
      [minLength]="props.minLength"
      [rows]="props.rows"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [readonly]="props.readonly"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [hint]="props.hint"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-textarea>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatTextarea, selector: "cat-textarea", inputs: ["autoComplete", "disabled", "errorUpdate", "errors", "hint", "horizontal", "identifier", "label", "labelHidden", "maxLength", "minLength", "name", "nativeAttributes", "placeholder", "readonly", "required", "requiredMarker", "rows", "testId", "value"] }, { kind: "directive", type: i2.TextValueAccessor, selector: "cat-input, cat-textarea, cat-datepicker, cat-datepicker-inline" }, { kind: "directive", type: i2.ValueAccessorDecorator, selector: "cat-input, cat-textarea, cat-datepicker, cat-select, cat-date, cat-time, cat-tag", inputs: ["errorInit"] }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatTextareaFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-textarea',
                    template: `
    <cat-textarea
      [formControl]="formControl"
      [formlyAttributes]="field"
      [requiredMarker]="props.requiredMarker"
      [horizontal]="props.horizontal"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [maxLength]="props.maxLength"
      [minLength]="props.minLength"
      [rows]="props.rows"
      [name]="props.name"
      [placeholder]="props.placeholder"
      [readonly]="props.readonly"
      [errors]="props.errors"
      [errorUpdate]="props.errorUpdate"
      [errorInit]="props.errorInit"
      [hint]="props.hint"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-textarea>
  `
                }]
        }] });

class CatToggleFieldType extends FieldType {
}
CatToggleFieldType.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatToggleFieldType, deps: null, target: i0.ɵɵFactoryTarget.Component });
CatToggleFieldType.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.3.0", type: CatToggleFieldType, selector: "formly-toggle", usesInheritance: true, ngImport: i0, template: `
    <cat-toggle
      [formControl]="formControl"
      [formlyAttributes]="field"
      [checked]="props.checked"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [name]="props.name"
      [hint]="props.hint"
      [resolvedValue]="props.resolvedValue"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-toggle>
  `, isInline: true, dependencies: [{ kind: "directive", type: i1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i1.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: i2.CatToggle, selector: "cat-toggle", inputs: ["alignment", "checked", "disabled", "hint", "identifier", "label", "labelHidden", "labelLeft", "name", "nativeAttributes", "noValue", "required", "resolvedValue", "testId", "value"] }, { kind: "directive", type: i2.BooleanValueAccessor, selector: "cat-checkbox, cat-toggle" }, { kind: "directive", type: i3.ɵFormlyAttributes, selector: "[formlyAttributes]", inputs: ["formlyAttributes", "id"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatToggleFieldType, decorators: [{
            type: Component,
            args: [{
                    selector: 'formly-toggle',
                    template: `
    <cat-toggle
      [formControl]="formControl"
      [formlyAttributes]="field"
      [checked]="props.checked"
      [identifier]="props.identifier"
      [label]="props.label"
      [labelHidden]="props.labelHidden"
      [name]="props.name"
      [hint]="props.hint"
      [resolvedValue]="props.resolvedValue"
      [nativeAttributes]="props.nativeAttributes"
    >
    </cat-toggle>
  `
                }]
        }] });

class CatalystFormlyModule {
}
CatalystFormlyModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatalystFormlyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CatalystFormlyModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.3.0", ngImport: i0, type: CatalystFormlyModule, declarations: [CatCheckboxFieldType,
        CatDateFieldType,
        CatDatepickerFieldType,
        CatInputFieldType,
        CatRadioFieldType,
        CatRadioGroupFieldType,
        CatSelectFieldType,
        CatTextareaFieldType,
        CatToggleFieldType], imports: [CommonModule,
        ReactiveFormsModule,
        CatalystModule, i3.FormlyModule], exports: [CatCheckboxFieldType,
        CatDateFieldType,
        CatDatepickerFieldType,
        CatInputFieldType,
        CatRadioFieldType,
        CatRadioGroupFieldType,
        CatSelectFieldType,
        CatTextareaFieldType,
        CatToggleFieldType] });
CatalystFormlyModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatalystFormlyModule, imports: [CommonModule,
        ReactiveFormsModule,
        CatalystModule,
        FormlyModule.forChild({
            types: [
                {
                    name: 'cat-checkbox-formly',
                    component: CatCheckboxFieldType
                },
                {
                    name: 'cat-toggle-formly',
                    component: CatToggleFieldType
                },
                {
                    name: 'cat-radio-formly',
                    component: CatRadioFieldType
                },
                {
                    name: 'cat-radio-group-formly',
                    component: CatRadioGroupFieldType
                },
                {
                    name: 'cat-input-formly',
                    component: CatInputFieldType
                },
                {
                    name: 'cat-textarea-formly',
                    component: CatTextareaFieldType
                },
                {
                    name: 'cat-datepicker-formly',
                    component: CatDatepickerFieldType
                },
                {
                    name: 'cat-select-formly',
                    component: CatSelectFieldType
                },
                {
                    name: 'cat-date-formly',
                    component: CatDateFieldType
                }
            ]
        })] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.3.0", ngImport: i0, type: CatalystFormlyModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        CatCheckboxFieldType,
                        CatDateFieldType,
                        CatDatepickerFieldType,
                        CatInputFieldType,
                        CatRadioFieldType,
                        CatRadioGroupFieldType,
                        CatSelectFieldType,
                        CatTextareaFieldType,
                        CatToggleFieldType
                    ],
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        CatalystModule,
                        FormlyModule.forChild({
                            types: [
                                {
                                    name: 'cat-checkbox-formly',
                                    component: CatCheckboxFieldType
                                },
                                {
                                    name: 'cat-toggle-formly',
                                    component: CatToggleFieldType
                                },
                                {
                                    name: 'cat-radio-formly',
                                    component: CatRadioFieldType
                                },
                                {
                                    name: 'cat-radio-group-formly',
                                    component: CatRadioGroupFieldType
                                },
                                {
                                    name: 'cat-input-formly',
                                    component: CatInputFieldType
                                },
                                {
                                    name: 'cat-textarea-formly',
                                    component: CatTextareaFieldType
                                },
                                {
                                    name: 'cat-datepicker-formly',
                                    component: CatDatepickerFieldType
                                },
                                {
                                    name: 'cat-select-formly',
                                    component: CatSelectFieldType
                                },
                                {
                                    name: 'cat-date-formly',
                                    component: CatDateFieldType
                                }
                            ]
                        })
                    ],
                    exports: [
                        CatCheckboxFieldType,
                        CatDateFieldType,
                        CatDatepickerFieldType,
                        CatInputFieldType,
                        CatRadioFieldType,
                        CatRadioGroupFieldType,
                        CatSelectFieldType,
                        CatTextareaFieldType,
                        CatToggleFieldType
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CatCheckboxFieldType, CatDateFieldType, CatDatepickerFieldType, CatInputFieldType, CatRadioFieldType, CatRadioGroupFieldType, CatSelectFieldType, CatTextareaFieldType, CatToggleFieldType, CatalystFormlyModule };
//# sourceMappingURL=haiilo-catalyst-angular-formly.mjs.map
