import { FieldType, FieldTypeConfig } from '@ngx-formly/core';
import * as i0 from "@angular/core";
export declare type CatRadioType = {
    checked: boolean;
    disabled: boolean;
    identifier?: string;
    label: string;
    labelHidden: boolean;
    name?: string;
    required: string;
    value: string;
    hint?: string | string[];
    labelLeft: boolean;
    nativeAttributes?: {
        [key: string]: string;
    };
};
export declare class CatRadioFieldType extends FieldType<FieldTypeConfig> {
    static ɵfac: i0.ɵɵFactoryDeclaration<CatRadioFieldType, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CatRadioFieldType, "formly-radio", never, {}, {}, never, never, false>;
}
